"""Initial migration.

Revision ID: 932136ccaf6a
Revises: 
Create Date: 2021-06-28 19:12:56.417592

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '932136ccaf6a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('data_source',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=80), nullable=False),
    sa.Column('connection_type', sa.String(length=80), nullable=True),
    sa.Column('db_uri', sa.Text(), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.Column('is_third_party', sa.Boolean(), nullable=True),
    sa.Column('connection_status', sa.String(length=80), nullable=True),
    sa.Column('sync_status', sa.String(length=80), nullable=True),
    sa.Column('sourceConfig', sa.JSON(), nullable=True),
    sa.Column('destinationConfig', sa.JSON(), nullable=True),
    sa.Column('connectionConfig', sa.JSON(), nullable=True),
    sa.Column('dbConfig', sa.JSON(), nullable=True),
    sa.Column('last_sync', sa.DateTime(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('kpi',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=80), nullable=False),
    sa.Column('data_source', sa.Integer(), nullable=False),
    sa.Column('kpi_type', sa.Text(), nullable=False),
    sa.Column('kpi_query', sa.Text(), nullable=False),
    sa.Column('metric_column', sa.Text(), nullable=False),
    sa.Column('aggregation', sa.Text(), nullable=False),
    sa.Column('datetime_column', sa.Text(), nullable=False),
    sa.Column('filters', sa.JSON(), nullable=True),
    sa.Column('dimensions', sa.JSON(), nullable=True),
    sa.Column('is_certified', sa.Boolean(), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('kpi')
    op.drop_table('data_source')
    # ### end Alembic commands ###
